Bug 887449 - (CVE-2012-5640) CVE-2012-5640 thttpd: Denial of Service when using glibc, crypt() can return NULL
CVE-2012-5640 thttpd: Denial of Service when using glibc, crypt() can return ...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20121212,reported=2...
: Security
Depends On: 887451 887450
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-15 07:12 EST by Kurt Seifried
Modified: 2015-07-31 02:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2012-12-15 07:12:13 EST
Matthias Weckbecker (mweckbecker@suse.de) reported on OSS-SEC that the thttpd
daemon may experience a denial of service when using glibc due to glibc 
crypt()returning a NULL while dereferencing. This can be triggered via a 
specially formatted .htpassword entry that is then used to authenticate for 
example.
Comment 1 Kurt Seifried 2012-12-15 07:16:15 EST
Created thttpd tracking bugs for this issue

Affects: fedora-all [bug 887450]
Comment 2 Kurt Seifried 2012-12-15 07:17:25 EST
Created thttpd tracking bugs for this issue

Affects: epel-all [bug 887451]
Comment 3 pjp 2014-11-01 06:38:24 EDT
Upstream fix:
-------------
  -> https://bugzilla.novell.com/show_bug.cgi?id=783165#c13

Note You need to log in before you can comment on or make changes to this bug.